function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var FullCalendar = _interopDefault(require('@fullcalendar/react'));
var dayGridPlugin = _interopDefault(require('@fullcalendar/daygrid'));
var resourceTimelinePlugin = _interopDefault(require('@fullcalendar/resource-timeline'));
var timeGridPlugin = _interopDefault(require('@fullcalendar/timegrid'));

var ExampleComponent = function ExampleComponent(_ref) {
  return /*#__PURE__*/React.createElement(FullCalendar, {
    contentHeight: "auto",
    defaultView: "dayGridMonth",
    schedulerLicenseKey: "GPL-My-Project-Is-Open-Source",
    header: {
      left: "prev,next today",
      center: "title",
      right: "resourceTimelineTenDay,timeGridWeek,timeGridDay"
    },
    plugins: [dayGridPlugin, timeGridPlugin, resourceTimelinePlugin],
    weekends: true,
    resourceAreaWidth: "20%",
    height: 'auto',
    slotWidth: 60,
    minTime: '06:00',
    maxTime: '11:00',
    views: {
      resourceTimelineDay: {
        buttonText: ":15 slots",
        slotDuration: "00:15"
      },
      resourceTimelineTenDay: {
        type: "resourceTimeline",
        duration: {
          days: 3
        },
        buttonText: "3 days"
      }
    },
    resourceLabelText: "Rooms",
    resources: "https://fullcalendar.io/demo-resources.json?with-nesting&with-colors",
    events: "https://fullcalendar.io/demo-events.json?single-day&for-resource-timeline"
  });
};

exports.ExampleComponent = ExampleComponent;
//# sourceMappingURL=index.js.map
